using UnityEngine;
using Saltosion.OneWeapon.Utils;
using Saltosion.OneWeapon.Enemies;

namespace Saltosion.OneWeapon.AI.Triggers {
    public class EnemySighted : Trigger {
        public LayerMask SearchLayerMask;
        public float Radius;
        public Enemy ClosestEnemy { get; private set; }

        public override bool IsTriggered() {
            ClosestEnemy = Util.GetClosestTo<Enemy>(transform, Radius, SearchLayerMask);
            return ClosestEnemy != null;
        }
    }
}
